com.sleepycat.db

## Class RunRecoveryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sleepycat.db.DatabaseException
      - - com.sleepycat.db.RunRecoveryException

- All Implemented Interfaces:
    java.io.Serializable

      public class RunRecoveryException
      extends DatabaseException

  Thrown when the database environment needs to be recovered. Errors can occur in where the only solution is to shut down the application and run recovery. When a fatal error occurs, this exception will be thrown, and all subsequent calls will also fail in the same way. When this occurs, recovery should be performed.
  See Also:
    Serialized Form

- - ### Method Summary

    - ### Methods inherited from class com.sleepycat.db.DatabaseException

      `getEnvironment, getErrno, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.